#!/bin/bash

ROOT_UID=0   # Seulement les utilisateurs ayant $UID 0 ont les privilèges de
             # root.
E_NONROOT=65
E_SANSPARAM=66

if [ "$UID" -ne "$ROOT_UID" ]
then
  echo "Vous devez être root pour exécuter ce script."
  # "Passe ton chemin gamin, il est temps d'aller au lit."
  exit $E_NONROOT
fi  

if [ -z "$1" ]
then
  echo "Usage: `basename $0` chaine-find"
  exit $E_SANSPARAM
fi


echo "Mise à jour de la base 'locate'..."
echo "Ceci peut prendre du temps."
updatedb /usr &     # Doit être lancé en tant que root.

wait
# Ne pas lancez le reste du script jusqu'à ce que 'updatedb' finisse.
# La base de données doit être mise à jour avant de chercher quelque chose.

locate $1

#  Sans la commande 'wait', avec le pire scénario, le script sortirait
#+ alors que 'updatedb' serait toujours en cours d'exécution,
#+ le laissant orphelin.

exit 0
